import { Component, OnInit } from '@angular/core';
import { FormControl, FormGroup } from '@angular/forms';
import { map } from 'rxjs/operators';
import { MatSnackBar } from '@angular/material/snack-bar';

@Component({
  selector: 'app-pizza-create',
  templateUrl: './pizza-create.component.html',
  styleUrls: ['./pizza-create.component.scss']
})
export class PizzaCreateComponent implements OnInit {


  pizzaName = new FormControl('');
  pizzaToppings = new FormControl([]);
  pizzaCreateForm = new FormGroup({
    pizzaName: this.pizzaName,
    pizzaToppings: this.pizzaToppings,
  });

  toppings: [];

  create(): void {
    if (!this.pizzaCreateForm.valid) {
      return;
    }
    // TODO CREATE
    this.pizzaName.setValue(null);
    this.pizzaToppings.setValue([]);
  }

  ngOnInit(): void {
  }

  constructor(
    private snackBar: MatSnackBar
  ) {
  }



}
