import { Component, OnInit } from '@angular/core';
import { FormControl, FormGroup } from '@angular/forms';
import { MatSnackBar } from '@angular/material/snack-bar';

@Component({
  selector: 'app-topping-create',
  templateUrl: './topping-create.component.html',
  styleUrls: ['./topping-create.component.scss']
})
export class ToppingCreateComponent implements OnInit {

  toppingName = new FormControl('');
  toppingCreateForm = new FormGroup({
    toppingName: this.toppingName,
  });


  create(): void {
    if (!this.toppingCreateForm.valid) {
      return;
    }
    // TODO Implement Logic
    this.toppingName.setValue(null);
  }

  ngOnInit(): void {
  }

  constructor(
    private snackBar: MatSnackBar
  ) {
  }

}
